package cn.com.poc.user.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for CheckMemberInfoQuery
 */
@Entity
public class CheckMemberInfoQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** member_id
    *member_id
    */ 
    private java.lang.Integer memberId;
    
    @Column(name = "member_id")
    public java.lang.Integer getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Integer memberId){
        this.memberId = memberId;
    }
    
    /** account
    *account
    */ 
    private java.lang.String account;
    
    @Column(name = "account")
    public java.lang.String getAccount(){
        return this.account;
    }
    
    public void setAccount(java.lang.String account){
        this.account = account;
    }
    
    /** mobile_phone
    *mobile_phone
    */ 
    private java.lang.String mobilePhone;
    
    @Column(name = "mobile_phone")
    public java.lang.String getMobilePhone(){
        return this.mobilePhone;
    }
    
    public void setMobilePhone(java.lang.String mobilePhone){
        this.mobilePhone = mobilePhone;
    }
    
    /** email
    *email
    */ 
    private java.lang.String email;
    
    @Column(name = "email")
    public java.lang.String getEmail(){
        return this.email;
    }
    
    public void setEmail(java.lang.String email){
        this.email = email;
    }
    
    /** is_deleted
    *is_deleted
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted")
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
    
} 